org.apache.catalina.ha.backend

## Interface Sender

- All Known Implementing Classes:
    MultiCastSender, TcpSender

      public interface Sender

  Interface to send data to proxies.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init(HeartbeatListener config)` Set the configuration parameters
    `int` | `send(String mess)` Send the message to the proxies

- - ### Method Detail

    - #### init

          void init(HeartbeatListener config)
                    throws Exception

      Set the configuration parameters
      Parameters:
        `config` - The heartbeat listener configuration
      Throws:
        `Exception` - An error occurred

    - #### send

          int send(String mess)
                   throws Exception

      Send the message to the proxies
      Parameters:
        `mess` - The message that will be sent
      Returns:
        `0` if no error occurred, `-1` otherwise
      Throws:
        `Exception` - An error occurred

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.